Subject: Re: CNS 11643 fonts

From: Jimmy Han <[email-masked]>
Date: Mon, 15 May 1995 10:19:44 PDT

On Sat, 13 May 1995, Douglas L. Schiffer wrote:

> From what I've been able to gather, Big 5 is simply a 2 byte way of
> encoding the first two planes of CNS, with only a few exceptions:
>
>     Big 5 characters C94A & DDFC are not in planes 1,2 or 14.
>     Also, Big5 C255 is in CNS plane 14.
>
> The two sets are in nearly identical ordering, with only a few "jogs"
> out of sequence.  CNS 11643 seems to an ISO 2022 code, with 3 bytes
> of data instead of the more normal 2.  I think there is also some
> thing called "plane locking" to cut down the bytes per character to
> something a little over 2, with ordinary text.
>

CNS 11643 Set 1 to Set 7 are ISO registered character sets, and I believe
they are all 2-bytes sets. Big5 is not, because it does not compliant with
ISO 2022.

> I'd love to see some sample CNS files, with Big 5 translations. If I
> could find these, then I can add CNS support to my toolkit.  Even better
> still would be a standards document, but these things seem to be as
> rare as hen's teeth.      :-)

A response to my post says ftp.ifcss.org/software/fonts/cns carries CNS font.
But I just tried and failed to connect to ftp.ifcss.org.

If not consider the exceptions you mentioned above, I delieve translation
function is possible. Also mapping table can be found in X11R5 nls related
document on ftp site export.lcs.mit.edu.

Jimmy Han ([email-masked])